MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007141Community[OCCT] OCCT:Data Exchangepublic2004-11-05 08:142006-06-29 09:15
Reporterszv 
Assigned Topdn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.2.2 
Summary0007141: STEP interface crashes exporting large assembly
DescriptionThis problem was noticed by the Community member Kai Anding and reported on the
Forum, thread 7002 "Problem with STEP-Export in assembly mode".

Here is the message :
"I have a problem using the STEP-Export Facilities of OpenCASCADE 5.2 with
references (assembly mode on), to keep the filesize small. When using more than
a few hundred references, the TKXSBASE.dll crashes with a stack overflow.
Consider the following simple example program, that writes a square of n*n boxes
as references on a grid, where n is the programm argument (SZV: see problem.cxx
attached). The program will work with argument 10 (i.e. 100 cubes) but will
crash with argument 20 (i.e 400 cubes), when the default stack size on Windows
2000 (i.e. 1MB) is used. The problem seems to originate from a recursive call of
the Handle_Transfer_Binder destructor (each Transfer_Binder owns another
Handle_Transfer_Binder field), which causes the stack overflow. I have made some
changes to the TransferSubShape method of STEPControl_ActorWrite.cxx that works
fine with up to a few thousand references."

Please test the attached solution (modified StepControl_ActorWrite.cxx) and
integrate it into current development version if it's ok.
TagsNo tags attached.
Test case number
Attached Filescxx file icon problem.cxx (1,437 bytes) 2004-11-05 06:14
cxx file icon StepControl_ActorWrite.cxx (43,529 bytes) 2004-11-05 06:14
zip file icon patchOCC7141.zip (9,761 bytes) 2004-11-24 09:55

- Relationships

-  Notes
(0009262)
bugmaster (administrator)
2004-11-05 08:30

Dear APV,

Please create testing workbench for attached :

Created an attachment (StepControl_ActorWrite.cxx)
Suggested solution

Bugmaster
(0009263)
apv (tester)
2004-11-15 10:08

Dear BugMaster,

Workbench KAS:dev:OCC7141-opt has been created and compiled on SUN and LIN.
(0009264)
apv (tester)
2004-11-15 10:10

Dear QAContact,

Please, test the workbench KAS:dev:OCC7141-opt and compare testing results of
workbenches KAS:dev:OCC7141-opt and KAS:dev:Products. Libraries for SUN and LIN
are available.
(0009265)
bugmaster (administrator)
2004-11-15 10:37

Dear PDN,

Please make expert evaluation of suggested solution

Bugmaster
(0009266)
aki (developer)
2004-11-18 13:51

No regress in dev:OCC7141-opt regarding to Products on sun or lin.
(0009268)
skl (developer)
2004-11-24 12:16
edited on: 2011-11-23 17:52

Dear bugmaster,

Please not use last attached patch (patchOCC7141).
I perform our DTE tests (this tests were performed during my illness)
and make a conclusion that attached possible solution is correct.

SKL.

(0009269)
bugmaster (administrator)
2004-11-24 12:18

Dear APV,

Please raise dev:OCC7141-opt to KAS:dev:ros

Bugmaster
(0009270)
apv (tester)
2004-11-26 14:16

Dear BugMaster,

Source file for fixing OCC7141 has been put to the queue KAS:dev:ros.
(0009271)
bugmaster (administrator)
2004-12-03 12:16

Dear IMV,

Please raise :

Created an attachment (patchOCC7141.zip)
Patch for this bug

to KAS:dev:ros

Bugmaster


- Issue History
Date Modified Username Field Change
2004-11-05 08:30 bugmaster Assigned To bugmaster => szv
2004-11-05 08:30 bugmaster Status new => assigned
2004-11-05 08:30 bugmaster Status assigned => resolved
2004-11-05 09:01 bugmaster Assigned To szv => pdn
2004-11-05 09:01 bugmaster Status resolved => assigned
2004-11-15 10:08 apv CC => apv, aki
2004-11-24 12:18 bugmaster Status assigned => resolved
2004-11-29 09:31 bugmaster Status resolved => verified
2004-12-03 12:16 bugmaster CC => imv
2004-12-24 09:13 bugmaster Status verified => closed
2004-12-24 09:13 bugmaster Resolution @0@ => fixed
2004-12-30 11:20 bugmaster Customer =>
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-11-23 17:52 szy Note Edited: 0009268 View Revisions


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker